# DJI Drone Detection, Tracking & Identification with TAK

![DJICOT Screenshot in ATAK showing a DJI Mini 3 Pro UAS, Home & Operator (GCS)](https://djicot.readthedocs.io/en/latest/media/screenshot_1737061493_642.png)

## Overview

DJICOT is a tool for monitoring and analyzing DJI OcuSync Drone ID sUAS data within the 
Team Awareness Kit (TAK) ecosystem. It enables geolocating, detection, tracking, and 
identification of drones using commercial off-the-shelf (COTS) equipment. DJICOT 
supports rapid deployment into a C-UAS processing chain and integrates seamlessly into 
existing common operating picture and situational awareness systems.

[Read the full documentation here.](https://djicot.rtfd.io)

## Features

- Real-time drone geolocation, detection and tracking.
- DJI drone identification via OcuSync Drone ID.
- TAK ecosystem integration.
- Uses COTS equipment.
- Rapid C-UAS deployment.
- Integrates with situational awareness systems.
- Displays drone, operator, and home positions.
- Shows flight vectors: position, speed, heading, altitude.
- Displays drone serial number.
- Decodes DJI OcuSync UAV to GCS C2 channel.
- Supports 2.4 GHz and 5.8 GHz frequencies.
- Employs passive RF ESM.
- Detection range of > 2 miles.

## Copyright & License

Copyright Sensors & Signals LLC https://www.snstac.com

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
